"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoopImportRewriter = void 0;
/**
 * `ImportRewriter` that does no rewriting.
 */
class NoopImportRewriter {
    shouldImportSymbol(symbol, specifier) {
        return true;
    }
    rewriteSymbol(symbol, specifier) {
        return symbol;
    }
    rewriteSpecifier(specifier, inContextOfFile) {
        return specifier;
    }
}
exports.NoopImportRewriter = NoopImportRewriter;
