"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmbientImport = exports.ClassMemberKind = exports.isDecoratorIdentifier = void 0;
const typescript_1 = __importDefault(require("typescript"));
function isDecoratorIdentifier(exp) {
    return (typescript_1.default.isIdentifier(exp) ||
        (typescript_1.default.isPropertyAccessExpression(exp) &&
            typescript_1.default.isIdentifier(exp.expression) &&
            typescript_1.default.isIdentifier(exp.name)));
}
exports.isDecoratorIdentifier = isDecoratorIdentifier;
/**
 * An enumeration of possible kinds of class members.
 */
var ClassMemberKind;
(function (ClassMemberKind) {
    ClassMemberKind[ClassMemberKind["Constructor"] = 0] = "Constructor";
    ClassMemberKind[ClassMemberKind["Getter"] = 1] = "Getter";
    ClassMemberKind[ClassMemberKind["Setter"] = 2] = "Setter";
    ClassMemberKind[ClassMemberKind["Property"] = 3] = "Property";
    ClassMemberKind[ClassMemberKind["Method"] = 4] = "Method";
})(ClassMemberKind || (exports.ClassMemberKind = ClassMemberKind = {}));
/** Indicates that a declaration is referenced through an ambient type. */
exports.AmbientImport = {};
