"use strict";
/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isNamedVariableDeclaration = exports.isNamedFunctionDeclaration = exports.isNamedClassDeclaration = void 0;
const typescript_1 = __importDefault(require("typescript"));
function isNamedClassDeclaration(node) {
    return typescript_1.default.isClassDeclaration(node) && isIdentifier(node.name);
}
exports.isNamedClassDeclaration = isNamedClassDeclaration;
function isNamedFunctionDeclaration(node) {
    return typescript_1.default.isFunctionDeclaration(node) && isIdentifier(node.name);
}
exports.isNamedFunctionDeclaration = isNamedFunctionDeclaration;
function isNamedVariableDeclaration(node) {
    return typescript_1.default.isVariableDeclaration(node) && isIdentifier(node.name);
}
exports.isNamedVariableDeclaration = isNamedVariableDeclaration;
function isIdentifier(node) {
    return node !== undefined && typescript_1.default.isIdentifier(node);
}
