import ts from 'typescript';
import { InjectableDecoratorHandler } from './compiler-cli/src/ngtsc/annotations/src/injectable';
import { TypeScriptReflectionHost } from './compiler-cli/src/ngtsc/reflection';
export interface InjectableTransformerFactoryOptions {
    strictCtorDeps?: boolean;
}
export declare function createTransformer(program: ts.Program, options?: InjectableTransformerFactoryOptions): (context: ts.TransformationContext) => (sf: ts.SourceFile) => ts.SourceFile;
export declare class InjectableTransformerFactory {
    private program;
    private options;
    typeChecker: ts.TypeChecker;
    reflectionHost: TypeScriptReflectionHost;
    handler: InjectableDecoratorHandler;
    constructor(program: ts.Program, options?: InjectableTransformerFactoryOptions);
    getTransform(): (context: ts.TransformationContext) => (sf: ts.SourceFile) => ts.SourceFile;
    private visit;
    private transform;
    private preAnalysis;
    private translate;
    /**
     * Remove Angular decorators from a `ts.Node` in a shallow manner.
     *
     * This will remove decorators from class elements (getters, setters, properties, methods) as well
     * as parameters of constructors.
     */
    private _stripAngularDecorators;
    /**
     * Return all decorators on a `Declaration` which are from static-injector, or an empty set if none
     * are.
     */
    private _angularCoreDecorators;
    /**
     * Given a `ts.Node`, filter the decorators array and return a version containing only non-Angular
     * decorators.
     *
     * If all decorators are removed (or none existed in the first place), this method returns
     * `undefined`.
     */
    private _nonCoreDecoratorsOnly;
    private updateStatements;
}
